<!DOCTYPE html>
<html>

<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Get Weather</title>

    <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

    <!-- Các file css và js tự định nghĩa thêm -->
    
    <style>

    </style>
</head>

<body>
    <!-- 1. Header - Navbar menu -->
    <nav class="navbar navbar-expand-lg navbar-light bg-light fixed-top">

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item active" style="position:relative; left:250px">
                    <a class="nav-link" href="#">
                        <h5 class="text-primary">Weather App</h5>
                    </a>
                </li>

                <li class="nav-item active" style="position:relative; left:700px">
                    <a class="nav-link text-primary" href="#">Current</a>
                </li>

                <li class="nav-item active" style="position:relative; left:700px">
                    <a class="nav-link text-primary" href="Forecast.html">Forecast</a>
                </li>
            </ul>
        </div>
    </nav>
    <!-- 2. Slide body -->
    <div class="container-fluid bg-primary" style="padding-top: 70px;">
        <div class="container " style="padding-bottom: 0%; min-height: 100px;">
            <h3 class="text-white text-center" style="padding-top: 25px;">Get Weather Forecast</h3>
        </div>
    </div><br>

    <!-- 3. Courses content -->
    <div class="container-fluid">

        <div class="container" style="height: 300px;">
            <div class="row">
                <div class="col-sm-12 text-center">
                    <label class="text-info">Enter City Name</label>
                </div>
            </div><br>
            <div class="row">
                <div style="margin: 0 auto">
                    <div class="row">
                        <div class="col-sm-4">
                            <input placeholder="Enter city name" class="form-control"
                                style="position:relative; left:27px" id="inp-city">
                        </div>
                        <div class="col-sm-4">
                            <input placeholder="Next day: Min - 1 & Max - 16" class="form-control" style="width: 240px;"
                                id="inp-day" type="number">
                        </div>
                        <div class="col-sm-4">
                            <button class="btn btn-info" style="position:relative; left:30px" id="btn-search">Search
                                City</button>
                        </div>
                    </div>
                </div>
            </div><br>
            <div class="row">
                <div class="col-sm-12 text-center">
                    <table class="table table-bordered" style="font-size: 12px;" id="weather-table">
                        <thead class="bg-primary">
                            <tr class="text-white text-center">
                                <th>Next day</th>
                                <th>Icon</th>
                                <th>Weather</th>
                                <th>Description</th>
                                <th>Morning Temperature</th>
                                <th>Night Temperature</th>
                                <th>Min Temperature</th>
                                <th>Max Temperature</th>
                                <th>Pressure</th>
                                <th>Humidity</th>
                                <th>Wind Speed</th>
                                <th>Wind Direction</th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div><br><br>
        </div>

    </div><br><br><br>
    <!-- 4. Footer -->
    <div class="container-fluid bg-primary fixed-bottom">
        <div class="container" style="height: 30px;">
            <div class="row text-center">
                <div class="col-sm-12 text-white" style="font-size: 84%;padding-top: 5px;">
                    Copyright<i class="far fa-copyright"></i>&nbsp;Weather App
                </div>
            </div>
        </div>
    </div>
    <br><br>
</body>
<script>
    $(document).on("click", "#btn-search", function () {
        onBtnSearchClick();
    });

    function onBtnSearchClick() {
        var vCity = {
            name: "",
            day: ""
        }

        getInfoData(vCity);
        var vValidate = validateData(vCity);
        if (vValidate) {
            getForecast(vCity);
        }
    }

    function getInfoData(paramData) {
        paramData.name = $("#inp-city").val().trim();
        paramData.day = $("#inp-day").val().trim();

        console.log(paramData.name);
        console.log(paramData.day);
    }

    function validateData(paramData) {
        if (paramData.name == "") {
            alert("Vui lòng nhập city");
            return false;
        }
        if (paramData.day == "") {
            alert("Vui lòng nhập day");
            return false;
        }
        if (paramData.day < 1 || paramData.day > 16) {
            alert("Nhập ngày từ 1 đến 16");
            return false;
        }

        return true;

    }

    function getForecast(paramData) {
        $.ajax({
            url: 'http://api.openweathermap.org/data/2.5/forecast/daily?q=' + paramData.name + "&units=metric" +
                "&cnt=" + paramData.day + "&APPID=c10bb3bd22f90d636baa008b1529ee25",
            type: "GET",
            dataType: "json",
            success: function (data) {
                displayData(data);

            }
        });
    }

    function displayData(paramData) {
        var vDay = 1;
        var vTable = $("#weather-table tbody");
        vTable.empty();
        for (var data of paramData.list) {
            var vRow = $("<tr>").appendTo(vTable);
            $("<td>", { html: vDay++ }).appendTo(vRow);
            var vIcon = $("<td>").appendTo(vRow);
            $("<img>").attr("src", "http://openweathermap.org/img/w/" + data.weather[0].icon + ".png").appendTo(vIcon);

            $("<td>", { html: data.weather[0].main }).appendTo(vRow);
            $("<td>", { html: data.weather[0].description}).appendTo(vRow);
            $("<td>", { html: data.temp.morn + "&#8451;"}).appendTo(vRow);
            $("<td>", { html: data.temp.night + "&#8451;"}).appendTo(vRow);
            $("<td>", { html: data.temp.min + "&#8451;"}).appendTo(vRow);
            $("<td>", { html: data.temp.max + "&#8451;"}).appendTo(vRow);
            $("<td>", { html: data.pressure + "hpa"}).appendTo(vRow);
            $("<td>", { html: data.humidity + "%"}).appendTo(vRow);
            $("<td>", { html: data.speed + "m/s"}).appendTo(vRow);
            $("<td>", { html: data.deg + "&deg;"}).appendTo(vRow);
        }
    }
</script>

</html>